summaryrefslogtreecommitdiff
path: root/tests/rm
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-06-22 06:49:57 +0000
committerJim Meyering <jim@meyering.net>2002-06-22 06:49:57 +0000
commit7d04e0b63cba4c1120901eba4e8605721a28b5fb (patch)
tree7624919e8d26a6c7076d13a51c862ce75638fe1e /tests/rm
parentfb10c254d84477d07486989f550b65033ee2d92c (diff)
downloadcoreutils-7d04e0b63cba4c1120901eba4e8605721a28b5fb.tar.xz
Accommodate the slightly different diagnostic we
get on some systems, due to `unlink (dir)' failing with EACCES rather than EPERM. E.g. for ReiserFS on Linux-2.4.18.
Diffstat (limited to 'tests/rm')
-rwxr-xr-xtests/rm/rm110
1 files changed, 9 insertions, 1 deletions
diff --git a/tests/rm/rm1 b/tests/rm/rm1
index 8bcd6fd04..01dc3c2df 100755
--- a/tests/rm/rm1
+++ b/tests/rm/rm1
@@ -34,7 +34,15 @@ cat <<\EOF > exp
rm: cannot remove directory `b/a/p': Permission denied
EOF
-cmp out exp || fail=1
+# On some systems, rm doesn't have enough information to
+# say it's a directory.
+cat <<\EOF > exp2
+rm: cannot remove `b/a/p': Permission denied
+EOF
+
+cmp out exp > /dev/null 2>&1 || {
+ cmp out exp2 || fail=1
+ }
test $fail = 1 && diff out exp 2> /dev/null
test -d b/a/p || fail=1